/*******************************************************************************
File Name : lcm.c

Description : 
	This program demo how to code lcm program on UC.
	The lcm screen can display 16*8 words (one word is 8*8 pix).

Usage : 
	1.Compile this file and execute on UC7000 series.
	2.The Progarm will show a menu with number,choose one to 
	  control lcm.

History : 
	Version		Author		Date		Comment
	1.0		Hank		01-15-2004	Wrote it.
	2.0		AceLan		01-05-1005	Using library
*******************************************************************************/
#include	<stdio.h>
#include	"lcm.h"

int main(int argc, char * argv[])
{
	int 		i= 0, x= 0, y= 0;
	char 		lcm_string[100]; 

	while( 1) 
	{
		printf("\n\nSelect number for LCM fuction	\n");
		printf("1.Clean screen of LCM				\n");
		printf("2.Clean a line of LCM				\n");
		printf("3.Goto position					\n");
		printf("4.Get position 					\n");
		printf("5.Show string					\n");
#if (defined UC7410_7420)
  /* Because DA-660/661/662/663-LX not support back light control. */
		printf("6.Turn back_light on				\n");
		printf("7.Turn back_light off				\n");
#endif
		printf("Press other key or Ctrl+C to exit : ");	
		
		scanf("%d", &i);
#if (defined UC7410_7420)
		if ( i <= 0 || i > 7 )
#elif (defined DA660_661_662_663)
		if ( i <= 0 || i > 5 )
#endif
			break;

		switch( i)
		{
		case 1:
			LCMClear();
			printf("\nNow screen is clean.\n");
			break;
		case 2:
			LCMCleanLine();
			printf("\nClean a line.\n");
			break;
		case 3:
#if (defined UC7410_7420)
			printf("Input position ( 0~15 0~7 ) : ");
#elif (defined DA660_661_662_663)
			printf("Input position ( 0~15 0~1 ) : ");
#endif
			while (!(scanf("%d %d", &x, &y)))
				puts("Input error , try again : ");
			LCMGotoXY( x, y);
			break;
		case 4: 
			LCMGetXY( &x, &y);
			printf("\nNOW position is %d %d \n", x, y);	
			break;
		case 5: 
			printf("Press any string : ");
			scanf( "%100s", &lcm_string);
			i = strlen(lcm_string);
			if ( i <= 0 )
				continue;
			if ( lcm_string[i-1] == '\n' )
				lcm_string[i-1] = 0;
			LCMPrint(lcm_string);
			break;
#if (defined UC7410_7420)
		case 6: 
			LCMBackLightOn();
			printf("\nLight on now.\n");
			break;
		case 7: 
			LCMBackLightOff();
			printf("\nLight off now.\n");
			break;
#endif
		default:
			return 0;
		}
	}

	return 0;
}

