#ifndef __SOFTWARE_ID__
#define __SOFTWARE_ID__

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define SW_ID_MASK              0x000fffff

#define RC7000_SUPPORT_921600		0x40000000
#define RC7000_SUPPORT_SW_RESET		0x20000000

// Define for Hardware ID
#define UC7220_SOFTWARE_ID      0x00040003
#define UC7420_SOFTWARE_ID      0x60040002
#define UC7410_SOFTWARE_ID      0x00040001
#define UC7220_SOFTWARE_ID      0x00040003
#define UC7420_INV_SOFTWARE_ID  0x00040004
#define UC7408_SOFTWARE_ID      0x60040005  
#define UC7402_SOFTWARE_ID      0x60040006
#define DA660_SOFTWARE_ID       0x60040007
#define DA661_SOFTWARE_ID       0x60040010
#define DA662_SOFTWARE_ID       0x60040012
#define DA663_SOFTWARE_ID       0x60040014

// Defined for Device ID
#define UC7220_ID           0x7220
#define UC7420_ID           0x7420
#define UC7410_ID           0x7410
#define UC7408_ID           0x7408
#define UC7402_ID           0x7402
#define DA660_ID            0x660
#define DA661_ID            0x661
#define DA662_ID            0x662
#define DA663_ID            0x663
#define UC7110_ID           0x7110
#define IA240_ID            0x240
#define IA241_ID            0x241
#define EM1240_ID           0x1240
#define EM1240_IVTC_ID      0x1240
#define W311_ID             0x311
#define W321_ID             0x321
#define W341_ID             0x341
#define W321_GL2_ID         0x2321

// Define for AP ID
#define UC7220_AP_ID        0x80007220
#define UC7420_AP_ID        0xE0007420
#define UC7420_INV_AP_ID    0x80007420
#define UC7410_AP_ID        0xE0007410
#define UC7408_AP_ID        0xE0007408
#define UC7402_AP_ID        0xE0007402
#define DA660_08_LX_AP_ID   0xE0000661
#define DA660_16_LX_AP_ID   0xE0000660
#define DA661_16_LX_AP_ID   0xE0000661
#define DA662_16_LX_AP_ID   0xE0000662
#define DA663_16_LX_AP_ID   0xE0000663
#define DA660_08_CE_AP_ID   0xE0010661
#define DA660_16_CE_AP_ID   0xE0010660
#define DA661_16_CE_AP_ID   0xE0010661
#define DA662_16_CE_AP_ID   0xE0010662
#define DA663_16_CE_AP_ID   0xE0010663
#define UC7110_AP_ID        0x80007110
#define IA240_AP_ID         0x80000240
#define IA241_AP_ID         0x80000241
#define EM1240_AP_ID        0x80001240
#define EM1240_ITVC_AP_ID   0x80001241
#define W311_AP_ID          0x80000311
#define W321_AP_ID          0x80000321
#define W341_AP_ID          0x80000341
#define W321_GL2_AP_ID      0x80002321

#define DA661_16_MODE_NAME  "DA-661-16-LX"
#define DA662_16_MODE_NAME  "DA-662-16-LX"
#define DA663_16_MODE_NAME  "DA-663-16-LX"

// Get software ID
#define IOCTL_GET_HARDWARE_ID		1
#define IOCTL_GET_SOFTWARE_ID		2
unsigned int get_swid(void)
{
	int		fd;
	unsigned int	mid;

	fd = open("/dev/id", O_RDWR);
	if ( fd < 0 ) {
		printf("Open /dev/id fail !\n");
		return;
	}
	if ( ioctl(fd, IOCTL_GET_SOFTWARE_ID, &mid) != 0 ) {
		close(fd);
		printf("Get software ID fail !\n");
		return;
	}
	close(fd);
	
	return  mid;
}

#endif
